Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3771 - NFS client problems accessing large directories
Summary: NFS client problems accessing large directories
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-28 07:05 UTC by eloranta
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description eloranta 1999-06-28 07:05:10 UTC
Linux (Kernel-2.2.5-22) mounts a directory from SGI (IRIX
6.4). Enter the NFS mounted directory (on linux) that
contains many files (in my case 3822). Do ls or echo *
there. The machine almost deadlocks and all memory
gets reserved -> ls and echo die saying out of memory.

Kernel 2.0.36 does not have this problem.


mount command on Linux says:
/dev/hda1 on / type ext2 (rw)
none on /proc type proc (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
yyy.yyy.jyu.fi:/usr/people on /usr/people type nfs
(rw,addr=xxx.xxx.xxx.xxx)

(with xxx and yyy obviously filled in)

Comment 1 Cristian Gafton 1999-07-28 08:16:59 UTC
davem and Alan Cc:ed on this one. Assigned to dledford.


Note You need to log in before you can comment on or make changes to this bug.